## canna-yubin-0.1.1.20140731.3.tar.bz2

=== Makefile ===
#! /usr/bin/make -f
# Copyright (C) 2001 Yoshito Komatsu
#               2014 Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>
#
# This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

MKDIR_P=mkdir -p
DESTDIR=
DICS=yubin7.cbd yubin7.cld

build:
	diff COPYING debian/copyright
	./yu2can.pl | nkf -Se >yubin7.ctd
	mkbindic yubin7.ctd

cleantmp:
	rm -f yubin7.ctd

clean: cleantmp
	rm -f $(DICS)

install:
	$(MKDIR_P) ${DESTDIR}/var/lib/canna/dic/canna
	install -m 644 ${DICS} ${DESTDIR}/var/lib/canna/dic/canna

=== debian/changelog ===
canna-yubin (0.1.1.20140731.3-1ppa1) trusty; urgency=low

  * Fixed debian/copyright COPYING: some files duplicate in them.
  * Changed Makefie: skip making a tmpfile (using pipe).

 -- Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>  Fri, 08 Aug 2014 15:25:28 +0900

canna-yubin (0.1.1.20140731.2-1ppa1) trusty; urgency=low

  * Fixed mkdir -p  make install's target directory.

 -- Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>  Fri, 08 Aug 2014 12:48:53 +0900

canna-yubin (0.1.1.20140731.1-1ppa1) trusty; urgency=low

  * Changed license of binary dictionary GPL-2+ => public-domain .
  * Fixed lintian's warnings.

 -- Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>  Tue, 05 Aug 2014 12:14:34 +0900

canna-yubin (0.1.1.20140731-1ppa1) trusty; urgency=low

  * Fixed 0.1.0's bug: debian/rules forgot copying yubin.dics.dir.off.

 -- Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>  Tue, 05 Aug 2014 02:44:01 +0900

canna-yubin (0.1.0.20140731-1ppa1) trusty; urgency=low

  * updated data to 20140731.

 -- Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>  Mon, 04 Aug 2014 15:14:56 +0900

canna-yubin (0.0.20011101) unstable; urgency=low

  * New upstream release
  * Modify postinst and prerm methods.
  * Modify the upstream author's name.

 -- Yoshito Komatsu <ykomatsu@debian.org>  Thu, 24 Jan 2002 16:31:07 +0900

canna-yubin (0.0.20010601-1) unstable; urgency=low

  * New upstream release 

 -- Yoshito Komatsu <ykomatsu@debian.or.jp>  Sat,  4 Aug 2001 16:16:44 +0900

canna-yubin (0.0.20010501-3) unstable; urgency=low

  * New upstream release

 -- Yoshito Komatsu <ykomatsu@debian.or.jp>  Mon,  9 Jul 2001 14:56:41 +0900

canna-yubin (0.0.20010501-2) unstable; urgency=low

  * Add README.eucJP file.
  * Fix debian/copyright file.

 -- Yoshito Komatsu <ykomatsu@debian.or.jp>  Wed,  4 Jul 2001 13:12:34 +0900

canna-yubin (0.0.20010501-1) unstable; urgency=low

  * Initial Release.

 -- Yoshito Komatsu <ykomatsu@debian.or.jp>  Mon,  2 Jul 2001 11:25:51 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: canna-yubin
Section: utils
Priority: optional
Maintainer: Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>
Build-Depends: debhelper (>> 3.0.0), canna, nkf
Standards-Version: 3.9.5
Homepage: https://sourceforge.jp/projects/canna-yubin/
Vcs-Git: https://scm.sourceforge.jp/gitroot/canna-yubin/canna-yubin.git
Vcs-Browser: https://sourceforge.jp/projects/canna-yubin/scm/git/canna-yubin/

Package: canna-yubin
Architecture: all
Depends: canna (>= 3.5b2-40), ${misc:Depends}
Description: Japanese postal code dictionary for Canna
 This package contains Japanese postal code dictionary used by Canna.
 It was made from CSV file produced by JAPAN POST Co., Ltd.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Copyright (C) 2001 Yoshito Komatsu
#               2014 Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>
#
# This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	cp -f debian/yubin.dics.dir.off debian/canna-yubin/etc/canna/dics.dir.d/
